## org.hibernate.envers.exception
Class AuditException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.envers.exception.AuditException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NotAuditedException, RevisionDoesNotExistException

    public class AuditException

extends HibernateException

Author:
  Adam Warski (adam at warski dot org)
See Also:
  Serialized Form

Constructor Summary
`AuditException(String message)`
`AuditException(String message, Throwable cause)`
`AuditException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuditException

    public AuditException(String message)

### AuditException

    public AuditException(String message,
                          Throwable cause)

### AuditException

    public AuditException(Throwable cause)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.